{
	"MathModels": [{
		"Iso3D": {
			"Description": ["This example shows the minimum required fields "],
			"Name": ["Schwartz"],
			"Component": ["Schwartz"],
			"Fxyz": [" cos(x) + cos(y) + cos(z)"],
			"Cnd": ["(x^2 + y^2) > cos(t*pi)*5.0"],
			"Xmin": ["-4"],
			"Xmax": [" 4"],
			"Ymin": ["-4"],
			"Ymax": [" 4"],
			"Zmin": ["-4"],
			"Zmax": [" 4"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This example shows how to use defined functions"],
			"Name": ["SchwartzFunction"],
			"Funct": [" Schwartz1=cos(x) + cos(y) + cos(z)"],
			"Component": [" Shwartz1"],
			"Fxyz": [" Schwartz1(x,y,z,t)"],
			"Xmin": ["-4"],
			"Xmax": [" 4"],
			"Ymin": ["-4"],
			"Ymax": [" 4"],
			"Zmin": ["-4"],
			"Zmax": [" 4"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Moon"],
			"Component": ["GravityPlan",
			"EarthPlanet",
			"MoonPlanet"],
			"Fxyz": ["((x-4*sin(t*pi/3))*(x-4*sin(t*pi/3)) + (y-2*cos(t*pi/3))*(y-2*cos(t*pi/3)) + z*z - .6)
		*min( (x-4*sin(t*pi/3))*(x-4*sin(t*pi/3)) + (y-2*cos(t*pi/3))*(y-2*cos(t*pi/3))  + z*z - .6, z) +0.2",
			"
		(x-4*sin(t*pi/3))*(x-4*sin(t*pi/3)) + (y-2*cos(t*pi/3))*(y-2*cos(t*pi/3))  + (z-.2)*(z-.2) - .6 ",
			"
		(x-2*sin(t*pi)-4*sin(t*pi/3))*(x-2*sin(t*pi)-4*sin(t*pi/3)) + (y-2*cos(t*pi)-2*cos(t*pi/3))*(y-2*cos(t*pi)-2*cos(t*pi/3)) + (z-.2)*(z-.2) - .1
		"],
			"Xmin": ["-5",
			"-1+4*sin(t*pi/3)",
			"-1+2*sin(t*pi)+4*sin(t*pi/3)"],
			"Xmax": [" 5",
			"1+4*sin(t*pi/3)",
			"1+2*sin(t*pi)+4*sin(t*pi/3)"],
			"Ymin": ["-4",
			"-1+2*cos(t*pi/3)",
			"-1+2*cos(t*pi)+2*cos(t*pi/3)"],
			"Ymax": [" 4",
			"1+2*cos(t*pi/3)",
			"1+2*cos(t*pi)+2*cos(t*pi/3)"],
			"Zmin": ["-1",
			"-1",
			"-1"],
			"Zmax": [" 1",
			"1.5",
			"1"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Moon2"],
			"Component": ["GravityPlan",
			"EarthPlanet",
			"MoonPlanet"],
			"Varu": [" A=(u-4*sin(tm*pi/10))^2",
			" B=(u-2*cos(tm*pi/10))^2",
			"C=(u-2*sin(tm*pi)-4*sin(tm*pi/10))^2",
			" D=(u-2*cos(tm*pi)-2*cos(tm*pi/10))^2"],
			"Fxyz": ["(Ax + By+ z*z - .6)
		*min( Ax + By  + z*z - .6, z) +0.2",
			"
		Ax+ By + (z-.2)*(z-.2) - .6 ",
			"
		Cx + Dy  + (z-.2)*(z-.2) - .1
		"],
			"Xmin": ["-5",
			"-1+4*sin(t*pi/10)",
			"-1+2*sin(t*pi)+4*sin(t*pi/10)"],
			"Xmax": [" 5",
			"1+4*sin(t*pi/10)",
			"1+2*sin(t*pi)+4*sin(t*pi/10)"],
			"Ymin": ["-4",
			"-1+2*cos(t*pi/10)",
			"-1+2*cos(t*pi)+2*cos(t*pi/10)"],
			"Ymax": [" 4",
			"1+2*cos(t*pi/10)",
			"1+2*cos(t*pi)+2*cos(t*pi/10)"],
			"Zmin": ["-1",
			"-1",
			"-1"],
			"Zmax": [" 1",
			"1.10",
			"1"]
		}
	},
	{
		"Iso3D": {
			"Component": ["GravityPlan",
			"EarthPlanet",
			"MoonPlanet"],
			"Fxyz": ["((x-4*sin((0.521*t)*pi/3.11))^2 + (y-2*cos((0.521*t)*pi/3.11))^2+ z*z - .6)*min( (x-4*sin((0.521*t)*pi/3.11))^2+ (y-2*cos((0.521*t)*pi/3.11))^2 + z*z - .6, z) +0.2",
			"(x-4*sin((0.521*t)*pi/3.11))^2+ (y-2*cos((0.521*t)*pi/3.11))^2  + (z-.2)*(z-.2) - .6 ",
			"(x-2*sin((0.521*t)*pi)-4*sin((0.521*t)*pi/3.11))^2 + (y-2*cos((0.521*t)*pi)-2*cos((0.521*t)*pi/3.11))^2 + (z-.2)*(z-.2) - .05"],
			"Name": ["Moon3"],
			"Xmax": [" 5",
			"1+4*sin((0.521*t)*pi/3.11)",
			"1+2*sin((0.521*t)*pi)+4*sin((0.521*t)*pi/3.11)"],
			"Xmin": ["-5",
			"-1+4*sin((0.521*t)*pi/3.11)",
			"-1+2*sin((0.521*t)*pi)+4*sin((0.521*t)*pi/3.11)"],
			"Ymax": [" 4",
			"1+2*cos((0.521*t)*pi/3.11)",
			"1+2*cos((0.521*t)*pi)+2*cos((0.521*t)*pi/3.11)"],
			"Ymin": ["-4",
			"-1+2*cos((0.521*t)*pi/3.11)",
			"-1+2*cos((0.521*t)*pi)+2*cos((0.521*t)*pi/3.11)"],
			"Zmax": [" 1",
			"1.5",
			"1"],
			"Zmin": ["-1",
			"-1",
			"-1"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["BlackHole"],
			"Component": [" GravityPlan",
			" EarthPlanet",
			" MoonPlanet",
			" WhiteStar "],
			"Varu": ["
		A=(u-4*sin(tm*pi/10))^2",
			"
		B=(u-2*cos(tm*pi/10))^2",
			"
		C=(u-2*sin(tm*pi)-4*sin(tm*pi/10))^2",
			"
		D=(u-2*cos(tm*pi)-2*cos(tm*pi/10))^2",
			"
		E=(u-.2)*(u-.2) - .6 ",
			"
		F =u*u - .6",
			"
		H=u*cos(2*tm*pi)",
			"
		G=u*sin(2*tm*pi)
		"],
			"Grid": [" 20",
			"20",
			"20",
			"20"],
			"Fxyz": ["
		(1.5*(Hx-Gy)^2 + (Gx+ Hy)^2 +(z+.8)^2 -(abs(2.2*sin(t*pi/10))))*(Ax + By+ Fz)*min( (1.5*(Hx-Gy)^2 + (Gx+ Hy)^2 +(z+.8)^2 -(abs(2.2*sin(t*pi/10))))*(Ax + By + Fz), z) +1.",
			"
		Ax+ By + Ez",
			"
		Cx + Dy  + Ez + .5",
			"
		1.5*(x*cos(2*t*pi) -y*sin(2*t*pi))^2 + (x*sin(2*t*pi) + y*cos(2*t*pi))^2 +(z+.2)^2 -(abs(.2*sin(t*pi/10)+.05))
		"],
			"Xmin": ["
		-5",
			"-1+4*sin(t*pi/10)",
			"-1+2*sin(t*pi)+4*sin(t*pi/10)",
			" -.5"],
			"Xmax": ["
		5",
			"1+4*sin(t*pi/10)",
			"1+2*sin(t*pi)+4*sin(t*pi/10)",
			" .5
		"],
			"Ymin": ["
		-4",
			"-1+2*cos(t*pi/10)",
			"-1+2*cos(t*pi)+2*cos(t*pi/10)",
			" -.5"],
			"Ymax": ["
		4",
			"1+2*cos(t*pi/10)",
			"1+2*cos(t*pi)+2*cos(t*pi/10)",
			" .5
		"],
			"Zmin": ["
		-2",
			"-1",
			"-1",
			" -.7"],
			"Zmax": ["
		1",
			"1.10",
			"1",
			".5
		"]
		}
	},
	{
		"Iso3D": {
			"Component": [
				"fallingdrop"
			],
			"Fxyz": [
				"-((z-6*(1-cos(sqrt(x^2+y^2)-t*2*pi))/sqrt(x^2+y^2+4))*(2*(x^2+y^2)+(z-40*sin((t+0.19)*pi)+1)^2-10)-1000)"
			],
			"Name": [
				"FallingDrop"
			],
			"Xmax": [
				"20"
			],
			"Xmin": [
				"-20"
			],
			"Ymax": [
				"20"
			],
			"Ymin": [
				"-20"
			],
			"Zmax": [
				"50"
			],
			"Zmin": [
				"-1"
			]
		}
	},
	{
		"Iso3D": {
			"Name": ["MengerSponge"],
			"Component": ["MengerSponge"],
			"Varu": [" 
		A = ((abs(u-2/3) <1/81)+ (abs(u-20/27) <1/81)+ (abs(u-16/27) <1/81)+
		(abs(u-8/9) <1/81) + (abs(u-26/27) <1/81) + (abs(u-22/27) <1/81) +
		(abs(u-4/9) <1/81) +(abs(u-14/27) <1/81) +(abs(u-10/27) <1/81) +
		(abs(u+2/3) <1/81) +(abs(u+16/27) <1/81) +(abs(u+20/27) <1/81) +
		(abs(u+4/9) <1/81) +(abs(u+10/27) <1/81) +(abs(u+14/27) <1/81) +
		(abs(u+8/9) <1/81) +(abs(u+22/27) <1/81) +(abs(u+26/27) <1/81) +
		(abs(u) <1/81) + (abs(u-2/27) <1/81) +(abs(u+2/27) <1/81) +
		(abs(u-2/9) <1/81) + (abs(u-8/27) <1/81) + (abs(u-4/27) <1/81) +
		(abs(u+2/9) <1/81)+(abs(u+4/27) <1/81)+(abs(u+8/27) <1/81))",
			" 
		B = ((abs(u-2/3) <1/27)+(abs(u-8/9) <1/27) + (abs(u-4/9) <1/27) 
		+(abs(u+2/3) <1/27) +(abs(u+4/9) <1/27) + (abs(u+8/9) <1/27) +
		(abs(u) <1/27) + (abs(u-2/9) <1/27) + (abs(u+2/9) <1/27))",
			"
		C = ((abs(u-2/3) <1/9) + (abs(u+2/3) <1/9) + (abs(u) <1/9))",
			"
		D = u^100
		"],
			"Fxyz": [" 
		-(Dx + Dy + Dz -1)*(((abs(x) >1/3 | abs(y) > 1/3)*(abs(z) >1/3 | abs(y) > 1/3)*(abs(x) >1/3 | abs(z) > 1/3))*
		( (Cx*(Cy+Cz) + Cz*Cy) =0)*
		( (Bx*(By+Bz) + Bz*By) =0)*
		( (Ax*(Ay+Az) + Az*Ay) =0) ) 
		"],
			"Xmin": ["-1.001"],
			"Xmax": [" 1.001"],
			"Ymin": ["-1.001"],
			"Ymax": [" 1.001"],
			"Zmin": ["-1.001"],
			"Zmax": [" 1.001"]
		}
	},
	{
		"Iso3D": {
			"Name": ["MengerSpongeSubdivision"],
			"Varu": [" 
		A = ((abs(u-2/3) <1/81)+ (abs(u-20/27) <1/81)+ (abs(u-16/27) <1/81)+
		(abs(u-8/9) <1/81) + (abs(u-26/27) <1/81) + (abs(u-22/27) <1/81) +
		(abs(u-4/9) <1/81) +(abs(u-14/27) <1/81) +(abs(u-10/27) <1/81) +
		(abs(u+2/3) <1/81) +(abs(u+16/27) <1/81) +(abs(u+20/27) <1/81) +
		(abs(u+4/9) <1/81) +(abs(u+10/27) <1/81) +(abs(u+14/27) <1/81) +
		(abs(u+8/9) <1/81) +(abs(u+22/27) <1/81) +(abs(u+26/27) <1/81) +
		(abs(u) <1/81) + (abs(u-2/27) <1/81) +(abs(u+2/27) <1/81) +
		(abs(u-2/9) <1/81) + (abs(u-8/27) <1/81) + (abs(u-4/27) <1/81) +
		(abs(u+2/9) <1/81)+(abs(u+4/27) <1/81)+(abs(u+8/27) <1/81))",
			" 
		B = ((abs(u-2/3) <1/27)+(abs(u-8/9) <1/27) + (abs(u-4/9) <1/27) 
		+(abs(u+2/3) <1/27) +(abs(u+4/9) <1/27) + (abs(u+8/9) <1/27) +
		(abs(u) <1/27) + (abs(u-2/9) <1/27) + (abs(u+2/9) <1/27))",
			"
		C = ((abs(u-2/3) <1/9) + (abs(u+2/3) <1/9) + (abs(u) <1/9))",
			"
		D = u^100
		"],
			"Component": [" MengerSponge1",
			" MengerSponge2",
			" MengerSponge3",
			" MengerSponge4",
			" MengerSponge5",
			" MengerSponge6",
			" MengerSponge7",
			" MengerSponge8"],
			"Fxyz": [" 
		-(Dx + Dy + Dz -1)*(((abs(x) >1/3 | abs(y) > 1/3)*(abs(z) >1/3 | abs(y) > 1/3)*(abs(x) >1/3 | abs(z) > 1/3))*
		( (Cx*(Cy+Cz) + Cz*Cy) =0)*
		( (Bx*(By+Bz) + Bz*By) =0)*
		( (Ax*(Ay+Az) + Az*Ay) =0) ) ",
			"
		-(Dx + Dy + Dz -1)*(((abs(x) >1/3 | abs(y) > 1/3)*(abs(z) >1/3 | abs(y) > 1/3)*(abs(x) >1/3 | abs(z) > 1/3))*
		( (Cx*(Cy+Cz) + Cz*Cy) =0)*
		( (Bx*(By+Bz) + Bz*By) =0)*
		( (Ax*(Ay+Az) + Az*Ay) =0) ) ",
			"
		-(Dx + Dy + Dz -1)*(((abs(x) >1/3 | abs(y) > 1/3)*(abs(z) >1/3 | abs(y) > 1/3)*(abs(x) >1/3 | abs(z) > 1/3))*
		( (Cx*(Cy+Cz) + Cz*Cy) =0)*
		( (Bx*(By+Bz) + Bz*By) =0)*
		( (Ax*(Ay+Az) + Az*Ay) =0) ) ",
			"
		-(Dx + Dy + Dz -1)*(((abs(x) >1/3 | abs(y) > 1/3)*(abs(z) >1/3 | abs(y) > 1/3)*(abs(x) >1/3 | abs(z) > 1/3))*
		( (Cx*(Cy+Cz) + Cz*Cy) =0)*
		( (Bx*(By+Bz) + Bz*By) =0)*
		( (Ax*(Ay+Az) + Az*Ay) =0) )",
			"
		-(Dx + Dy + Dz -1)*(((abs(x) >1/3 | abs(y) > 1/3)*(abs(z) >1/3 | abs(y) > 1/3)*(abs(x) >1/3 | abs(z) > 1/3))*
		( (Cx*(Cy+Cz) + Cz*Cy) =0)*
		( (Bx*(By+Bz) + Bz*By) =0)*
		( (Ax*(Ay+Az) + Az*Ay) =0) ) ",
			"
		-(Dx + Dy + Dz -1)*(((abs(x) >1/3 | abs(y) > 1/3)*(abs(z) >1/3 | abs(y) > 1/3)*(abs(x) >1/3 | abs(z) > 1/3))*
		( (Cx*(Cy+Cz) + Cz*Cy) =0)*
		( (Bx*(By+Bz) + Bz*By) =0)*
		( (Ax*(Ay+Az) + Az*Ay) =0) ) ",
			"
		-(Dx + Dy + Dz -1)*(((abs(x) >1/3 | abs(y) > 1/3)*(abs(z) >1/3 | abs(y) > 1/3)*(abs(x) >1/3 | abs(z) > 1/3))*
		( (Cx*(Cy+Cz) + Cz*Cy) =0)*
		( (Bx*(By+Bz) + Bz*By) =0)*
		( (Ax*(Ay+Az) + Az*Ay) =0) ) ",
			"
		-(Dx + Dy + Dz -1)*(((abs(x) >1/3 | abs(y) > 1/3)*(abs(z) >1/3 | abs(y) > 1/3)*(abs(x) >1/3 | abs(z) > 1/3))*
		( (Cx*(Cy+Cz) + Cz*Cy) =0)*
		( (Bx*(By+Bz) + Bz*By) =0)*
		( (Ax*(Ay+Az) + Az*Ay) =0) )
		"],
			"Xmin": ["-1.001",
			" -1.001 ",
			" -1.001",
			"   -1.001",
			"  0.000",
			"  0.000",
			"  0.000",
			"  0.000"],
			"Xmax": ["   0.000 ",
			"   0.000",
			"  0.000",
			" 0.000",
			" 1.001",
			" 1.001",
			" 1.001",
			" 1.001"],
			"Ymin": ["-1.001",
			" -1.001",
			"  0.000",
			"  0.000",
			" -1.001",
			" -1.001",
			"  0.000",
			"  0.000 "],
			"Ymax": ["  0.000 ",
			"  0.000",
			" 1.001",
			" 1.001",
			"  0.000 ",
			"  0.000",
			" 1.001",
			" 1.001"],
			"Zmin": ["-1.001",
			" 0.000 ",
			" -1.001",
			"  0.000",
			" -1.001",
			" 0.000 ",
			" -1.001",
			"  0.000 "],
			"Zmax": ["   0.000 ",
			" 1.001",
			"  0.000",
			" 1.001",
			" 0.000 ",
			" 1.001",
			"  0.000",
			" 1.001"]
		}
	},
	{
		"Iso3D": {
			"Component": ["Ball",
			"Plan"],
			"Fxyz": ["(x-4*sin((0.521*t)*pi/3.11))^2+(y-2*cos((0.521*t)*pi/3.11))^2+(z-3*abs(cos((5*t)*pi/3.11)))^2-.6",
			"z+.6"],
			"Grid": ["20",
			"20"],
			"Name": ["BouncingBall"],
			"Xmax": ["1+4*sin((0.521*t)*pi/3.11)",
			"4"],
			"Xmin": ["-1+4*sin((0.521*t)*pi/3.11)",
			"-4"],
			"Ymax": ["1+2*cos((0.521*t)*pi/3.11)",
			"4"],
			"Ymin": ["-1+2*cos((0.521*t)*pi/3.11)",
			"-4"],
			"Zmax": ["6",
			".1"],
			"Zmin": ["-1",
			"-1.1"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Blobs"],
			"Component": ["Blobs"],
			"Fxyz": ["x^2 + y ^2 + z^2 +cos(4*x)+cos(4*y)+cos(4*z)-0.2"],
			"Xmin": ["-2"],
			"Xmax": [" 2"],
			"Ymin": ["-2"],
			"Ymax": [" 2"],
			"Zmin": ["-2"],
			"Zmax": [" 2"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["CubeSphere"],
			"Component": ["CubeSphere"],
			"Fxyz": [" ((1/2.3)^2 *(x^2 + y^2 + z^2))^-6 + ( (1/2)^8 * (x^8 + y^8 + z^8) )^6 -1"],
			"Xmin": ["-2"],
			"Xmax": [" 2"],
			"Ymin": ["-2"],
			"Ymax": [" 2"],
			"Zmin": ["-2"],
			"Zmax": [" 2"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Hyperbolic"],
			"Component": ["Hyperbolic"],
			"Fxyz": ["x*x + y - z*z"],
			"Xmin": ["-1"],
			"Xmax": [" 1"],
			"Ymin": ["-1"],
			"Ymax": [" 1"],
			"Zmin": ["-1"],
			"Zmax": [" 1"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Hyperboloid"],
			"Component": ["Hyperboloid"],
			"Fxyz": ["x^2 + y^2 - z^2 -0.3"],
			"Xmin": ["-2"],
			"Xmax": [" 2"],
			"Ymin": ["-2"],
			"Ymax": [" 2"],
			"Zmin": ["-1.8"],
			"Zmax": [" 1.8"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["DuplinCyclides"],
			"Component": ["DuplinCyclides"],
			"Fxyz": ["(2^2 - (2 + 2.1)^2) * (2^2 - (2 - 2.1)^2)*(x^4+y^4+z^4)+ 2*((2^2 - (2 + 2.1)^2 )*(2^2 - .1^2)* (x^2 * y^2+x^2 * z^2+y^2 * z^2))+2* 2^2 *((2.1^2)* (2 *x *2-2^2))*(x^2+y^2+z^2)+ 4 * 2^4 * (2 *x)* (-2^2+2 * x)+4* 2^4 * 2.1^2 * y^2+2^8"],
			"Xmin": ["-2"],
			"Xmax": [" 2.2"],
			"Ymin": ["-2.1"],
			"Ymax": [" 2.1"],
			"Zmin": ["-1.3"],
			"Zmax": [" 1.3"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Blobs_2"],
			"Component": ["Blobs_2"],
			"Fxyz": ["x^2 + y ^2 + z^2 +sin(4*x) + sin(4*y) + sin(4*z) -1"],
			"Xmin": ["-2"],
			"Xmax": [" 2"],
			"Ymin": ["-2"],
			"Ymax": [" 2"],
			"Zmin": ["-2"],
			"Zmax": [" 2"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["KleinIso"],
			"Component": ["KleinIso"],
			"Fxyz": ["(x^2+y^2+z^2+2*y-1)*((x^2+y^2+z^2-2*y-1)^2-8*z^2)+16*x*z*(x^2+y^2+z^2-2*y-1)"],
			"Xmin": ["-3"],
			"Xmax": [" 3"],
			"Ymin": ["-3.1"],
			"Ymax": [" 3.1"],
			"Zmin": ["-4"],
			"Zmax": [" 4"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Leminescape"],
			"Component": ["Leminescape"],
			"Fxyz": ["4*x^2*(x^2+y^2+z^2+z)+y^2*(y^2+z^2-1)"],
			"Xmin": ["-0.5"],
			"Xmax": [" 0.5"],
			"Ymin": ["-1"],
			"Ymax": [" 1"],
			"Zmin": ["-1"],
			"Zmax": [" 1"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Drope"],
			"Component": ["Drope"],
			"Fxyz": ["z - 4*x*exp(-x^2-y^2)"],
			"Xmin": ["-2"],
			"Xmax": [" 2"],
			"Ymin": ["-2"],
			"Ymax": [" 2"],
			"Zmin": ["-1.7"],
			"Zmax": [" 1.7"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Sinus"],
			"Component": ["Sinus"],
			"Fxyz": ["sin(pi*((x)^2+(y)^2))/2 +z"],
			"Xmin": ["-1"],
			"Xmax": [" 1"],
			"Ymin": ["-1"],
			"Ymax": [" 1"],
			"Zmin": ["-1"],
			"Zmax": [" 1"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["TorusIso"],
			"Component": ["TorusIso"],
			"Fxyz": ["(sqrt(x*x+y*y)-3)^2 + z*z - 1"],
			"Xmin": ["-4"],
			"Xmax": [" 4"],
			"Ymin": ["-4"],
			"Ymax": [" 4"],
			"Zmin": ["-1"],
			"Zmax": [" 1"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["SphereIso"],
			"Component": ["SphereIso"],
			"Fxyz": ["x*x + y*y + z*z - 1"],
			"Xmin": ["-1"],
			"Xmax": [" 1"],
			"Ymin": ["-1"],
			"Ymax": [" 1"],
			"Zmin": ["-1"],
			"Zmax": [" 1"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Octahedron"],
			"Component": ["Octahedron"],
			"Fxyz": ["abs(x)+abs(y)+abs(z) - 1"],
			"Xmin": ["-1"],
			"Xmax": [" 1"],
			"Ymin": ["-1"],
			"Ymax": [" 1"],
			"Zmin": ["-1"],
			"Zmax": [" 1"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["IsoCube"],
			"Component": ["IsoCube"],
			"Fxyz": ["x^100 + y^100 + z^100 -1"],
			"Xmin": ["-2"],
			"Xmax": [" 2"],
			"Ymin": ["-2"],
			"Ymax": [" 2"],
			"Zmin": ["-2"],
			"Zmax": [" 2"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["IsoToupie"],
			"Component": ["IsoToupie"],
			"Fxyz": ["(sqrt(x*x+y*y)-3)^3 + z*z - 1"],
			"Xmin": ["-4"],
			"Xmax": [" 4"],
			"Ymin": ["-4"],
			"Ymax": [" 4"],
			"Zmin": ["-6"],
			"Zmax": [" 6"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["RoundCube"],
			"Component": ["RoundCube"],
			"Fxyz": ["x^4 + y^4 + z^4 - (x^2 + y^2 + z^2)"],
			"Xmin": ["-2"],
			"Xmax": [" 2"],
			"Ymin": ["-2"],
			"Ymax": [" 2"],
			"Zmin": ["-2"],
			"Zmax": [" 2"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Chmutov"],
			"Component": ["Chmutov"],
			"Fxyz": ["(x^2)^2 + (y^2)^2 + (z^2)^2 - (x^2 + y^2 + z^2-0.3)"],
			"Xmin": ["-1.5"],
			"Xmax": [" 1.5"],
			"Ymin": ["-1.5"],
			"Ymax": [" 1.5"],
			"Zmin": ["-1.5"],
			"Zmax": [" 1.5"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Chmutov_2"],
			"Component": ["Chmutov_2"],
			"Fxyz": ["2*(x^2*(3-4*x^2)^2+y^2*(3-4*y^2)^2+z^2*(3-4*z^2)^2) -3"],
			"Xmin": ["-1.3"],
			"Xmax": [" 1.3"],
			"Ymin": ["-1.3"],
			"Ymax": [" 1.3"],
			"Zmin": ["-1.3"],
			"Zmax": [" 1.3"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Composite"],
			"Component": ["Chmutov",
			"RoundCube",
			"Virus",
			"Trap"],
			"Fxyz": ["2*(x^2*(3-4*x^2)^2+y^2*(3-4*y^2)^2+z^2*(3-4*z^2)^2) -3",
			"
		((x-3)^2)^2 + (y^2)^2 + (z^2)^2 - ((x-3)^2 + y^2 + z^2-0.3)",
			"
		-(-(x^2 + (y-3) ^2 + z^2) +cos(5*x)*cos(5*(y-3))*cos(5*z)+0.215)",
			"
		((x-3)^8 + z^30 + (y-3)^8 - ((x-3)^4 + z^50 + (y-3)^4 -0.3))*((x-3)^2 + (y-3)^2 + z^2 -0.5)
		"],
			"Xmin": ["-1.3",
			"1.5",
			"-.8",
			"1.8  "],
			"Xmax": [" 1.3",
			"4.5",
			".8",
			"4.2"],
			"Ymin": ["-1.3",
			"-1.5",
			"2.2",
			"1.8 "],
			"Ymax": [" 1.3",
			"1.5",
			"3.8",
			"4.3"],
			"Zmin": ["-1.3",
			"-1.5",
			"-.8",
			"-1.5 "],
			"Zmax": [" 1.3",
			"1.5",
			".8",
			"1.5"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Clebsch"],
			"Component": ["Clebsch"],
			"Fxyz": ["81*(x^3+y^3+z^3)-189*(x^2*y+x^2*z+y^2*x+y^2*z+z^2*x+z^2*y) +54*x*y*z+126*(x*y+x*z+y*z)-9*(x^2+y^2+z^2)-9*(x+y+z)+1"],
			"Xmin": ["-1"],
			"Xmax": [" 1"],
			"Ymin": ["-1"],
			"Ymax": [" 1"],
			"Zmin": ["-1"],
			"Zmax": [" 1"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Icosahedron"],
			"Component": ["Icosahedron"],
			"Fxyz": ["if( (x^2 + y^2 +z^2 < 35), 2 - (cos(x + (1+sqrt(5))/2*y) + cos(x - (1+sqrt(5))/2*y) + cos(y + (1+sqrt(5))/2*z) + cos(y - (1+sqrt(5))/2*z) + cos(z - (1+sqrt(5))/2*x) + cos(z + (1+sqrt(5))/2*x)) , 1)"],
			"Xmin": ["-5.5"],
			"Xmax": [" 5.5"],
			"Ymin": ["-5.5"],
			"Ymax": [" 5.5"],
			"Zmin": ["-5.5"],
			"Zmax": [" 5.5"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["DingDong"],
			"Component": ["DingDong"],
			"Fxyz": ["x^2 +y^2 -(1-z)*z^2"],
			"Xmin": ["-1.5"],
			"Xmax": [" 1.5"],
			"Ymin": ["-1.5"],
			"Ymax": [" 1.5"],
			"Zmin": ["-1"],
			"Zmax": [" 1"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Trap"],
			"Component": ["Trap"],
			"Fxyz": ["(x^8 + z^30 + y^8 - (x^4 + z^50 + y^4 -0.3))*(x^2 + y^2 + z^2 -0.5)"],
			"Xmin": ["-1.2"],
			"Xmax": [" 1.2"],
			"Ymin": ["-1.3"],
			"Ymax": [" 1.3"],
			"Zmin": ["-1.5"],
			"Zmax": [" 1.5"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["OrthoCircle"],
			"Component": ["OrthoCircle"],
			"Fxyz": ["((x^2 + y^2 - 1)^2 + z^2)* ((y^2 + z^2 - 1)^2 + x^2)* ((z^2 + x^2 - 1)^2 + y^2) - 0.075^2 *(1 + 3* (x^2 + y^2 + z^2))"],
			"Xmin": ["-1.5"],
			"Xmax": [" 1.5"],
			"Ymin": ["-1.5"],
			"Ymax": [" 1.5"],
			"Zmin": ["-1.5"],
			"Zmax": [" 1.5"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["CubeSphere_2"],
			"Component": ["CubeSphere_2"],
			"Fxyz": ["12 - ((1/2.3)^2 *(x^2 + y^2 + z^2))^-6 - ( (1/2)^8 * (x^8 + y^8 + z^8) )^6"],
			"Xmin": ["-2"],
			"Xmax": [" 2"],
			"Ymin": ["-2"],
			"Ymax": [" 2"],
			"Zmin": ["-2"],
			"Zmax": [" 2"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["UnionSpheres"],
			"Component": ["UnionSpheres"],
			"Fxyz": ["min( (x-0.7)*(x-0.7) + y*y + z*z - 1,  (x+0.5)*(x+0.5) + y*y + z*z - 1)"],
			"Xmin": ["-2"],
			"Xmax": [" 2"],
			"Ymin": ["-2"],
			"Ymax": [" 2"],
			"Zmin": ["-2"],
			"Zmax": [" 2"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["DifferenceSpheres"],
			"Component": ["DifferenceSpheres"],
			"Fxyz": ["((x-0.7)*(x-0.7) + y*y + z*z - 1)*min( (x-0.7)*(x-0.7) + y*y + z*z - 1, (x+0.3)*(x+0.3) + y*y + z*z - 1) +0.02"],
			"Xmin": ["-2"],
			"Xmax": [" 0.1"],
			"Ymin": ["-1"],
			"Ymax": [" 1"],
			"Zmin": ["-1"],
			"Zmax": [" 1"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["BlendSpheres"],
			"Component": ["BlendSpheres"],
			"Fxyz": ["((x-0.9)*(x-0.9) + y*y + z*z - 1)*((x+0.9)*(x+0.9) + y*y + z*z - 1) -0.3"],
			"Xmin": ["-2"],
			"Xmax": [" 2"],
			"Ymin": ["-2"],
			"Ymax": [" 2"],
			"Zmin": ["-2"],
			"Zmax": [" 2"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["IntersectSpheres"],
			"Component": ["IntersectSpheres"],
			"Fxyz": ["max( (x-0.7)*(x-0.7) + y*y + z*z - 1,  (x+0.5)*(x+0.5) + y*y + z*z - 1)"],
			"Xmin": ["-2"],
			"Xmax": [" 2"],
			"Ymin": ["-2"],
			"Ymax": [" 2"],
			"Zmin": ["-2"],
			"Zmax": [" 2"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["TwoCylinderBlend"],
			"Component": ["TwoCylinderBlend"],
			"Fxyz": ["(x^2 + y^2 - 1) * ( x^2 + z^2 - 1) - 1"],
			"Xmin": ["-3"],
			"Xmax": [" 3"],
			"Ymin": ["-3"],
			"Ymax": [" 3"],
			"Zmin": ["-3"],
			"Zmax": [" 3"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["BlendThreeCylinder"],
			"Component": ["BlendThreeCylinder"],
			"Fxyz": ["(x^2 + y^2 - 1) * ( x^2 + z^2 - 1)* ( y^2 + z^2 - 1) - 1"],
			"Xmin": ["-3"],
			"Xmax": [" 3"],
			"Ymin": ["-3"],
			"Ymax": [" 3"],
			"Zmin": ["-3"],
			"Zmax": [" 3"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Holes"],
			"Component": ["Holes"],
			"Fxyz": ["3*(cos(x) + cos(y) + cos(z)) + 4* cos(x) * cos(y) * cos(z)"],
			"Xmin": ["-3"],
			"Xmax": [" 3"],
			"Ymin": ["-3"],
			"Ymax": [" 3"],
			"Zmin": ["-3"],
			"Zmax": [" 3"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Gyroid"],
			"Component": ["Gyroid"],
			"Fxyz": ["cos(x) * sin(y) + cos(y) * sin(z) + cos(z) * sin(x)"],
			"Xmin": ["-4"],
			"Xmax": [" 4"],
			"Ymin": ["-4"],
			"Ymax": [" 4"],
			"Zmin": ["-4"],
			"Zmax": [" 4"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Diamand"],
			"Component": ["Diamand"],
			"Fxyz": ["sin(x) *sin(y) *sin(z) +sin(x) * cos(y) * cos(z) +cos(x) * sin(y) * cos(z) + cos(x) * cos(y) * sin(z)"],
			"Xmin": ["-4"],
			"Xmax": [" 4"],
			"Ymin": ["-4"],
			"Ymax": [" 4"],
			"Zmin": ["-4"],
			"Zmax": [" 4"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Tetrahedral"],
			"Component": ["Tetrahedral"],
			"Fxyz": ["(x^2 + y^2 + z^2)^2 + 8*x*y*z - 10*(x^2 + y^2 + z^2) + 25"],
			"Xmin": ["-4"],
			"Xmax": [" 4"],
			"Ymin": ["-4"],
			"Ymax": [" 4"],
			"Zmin": ["-4"],
			"Zmax": [" 4"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Holes_2"],
			"Component": ["Holes_2"],
			"Fxyz": ["sin(4*x) + sin(4*y) + sin(4*z)  + 4*x*y*z"],
			"Xmin": ["-2"],
			"Xmax": [" 2"],
			"Ymin": ["-2"],
			"Ymax": [" 2"],
			"Zmin": ["-2"],
			"Zmax": [" 2"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["Bugs"],
			"Component": ["Bugs"],
			"Fxyz": ["min( ((x*cos(0.866646*y) - z*sin(0.866646*y))-0.7)*((x*cos(0.866646*y) - z*sin(0.866646*y))-0.7) + (y/2.9)*(y/2.9) + (x*sin(0.866646*y) + z*cos(0.866646*y))*(x*sin(0.866646*y) + z*cos(0.866646*y)) - 1,  ((x*cos(0.866646*y) - z*sin(0.866646*y))+0.5)*((x*cos(0.866646*y) - z*sin(0.866646*y))+0.5) + (y/2.9)*(y/2.9) + (x*sin(0.866646*y) + z*cos(0.866646*y))*(x*sin(0.866646*y) + z*cos(0.866646*y)) - 1)"],
			"Xmin": ["-2"],
			"Xmax": [" 2"],
			"Ymin": ["-2*2.9*1"],
			"Ymax": [" 2*2.9*1"],
			"Zmin": ["-2"],
			"Zmax": [" 2"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["pseudo_Duplin"],
			"Component": ["pseudo_Duplin"],
			"Fxyz": ["(2^2 - 0^2 - (2 + 2.1)^2) * (2^2 - 0^2 - (2 - 2.1)^2)*(((x/0.6)/3.9)^4+(y*cos(0.575383*(x/0.6)) - z*sin(0.575383*(x/0.6)))^4+(y*sin(0.575383*(x/0.6)) + z*cos(0.575383*(x/0.6)))^4)+ 2*((2^2 - 0^2 - (2 + 2.1)^2 )*(2^2 - 0^2 - (2 - 2.1)^2)* (((x/0.6)/3.9)^2 * (y*cos(0.575383*(x/0.6)) - z*sin(0.575383*(x/0.6)))^2+((x/0.6)/3.9)^2 * (y*sin(0.575383*(x/0.6)) + z*cos(0.575383*(x/0.6)))^2+(y*cos(0.575383*(x/0.6)) - z*sin(0.575383*(x/0.6)))^2 * (y*sin(0.575383*(x/0.6)) + z*cos(0.575383*(x/0.6)))^2))+2* 2^2 *((-0^2-2^2+2^2+2.1^2)* (2 *((x/0.6)/3.9) *2+2* (y*cos(0.575383*(x/0.6)) - z*sin(0.575383*(x/0.6)))* 0-2^2)-4*0 *2.1^2 *(y*cos(0.575383*(x/0.6)) - z*sin(0.575383*(x/0.6))))*(((x/0.6)/3.9)^2+(y*cos(0.575383*(x/0.6)) - z*sin(0.575383*(x/0.6)))^2+(y*sin(0.575383*(x/0.6)) + z*cos(0.575383*(x/0.6)))^2)+ 4 * 2^4 * (2 *((x/0.6)/3.9)+0 *(y*cos(0.575383*(x/0.6)) - z*sin(0.575383*(x/0.6))))* (-2^2+0 * (y*cos(0.575383*(x/0.6)) - z*sin(0.575383*(x/0.6)))+2 * ((x/0.6)/3.9))+4* 2^4 * 2.1^2 * (y*cos(0.575383*(x/0.6)) - z*sin(0.575383*(x/0.6)))^2+2^8"],
			"Xmin": ["-2*3.9*0.6"],
			"Xmax": [" 2.2*3.9*0.6"],
			"Ymin": ["-2"],
			"Ymax": [" 2"],
			"Zmin": ["-2"],
			"Zmax": [" 2"]
		}
	},
	{
		"Iso3D": {
			"Description": ["This is a Description"],
			"Name": ["pseudo_Torus"],
			"Component": ["pseudo_Torus"],
			"Fxyz": ["(sqrt((x/2.7)*(x/2.7)+(y*sin(0.436332*x) + z*cos(0.436332*x))*(y*sin(0.436332*x) + z*cos(0.436332*x)))-3)^2 + (y*cos(0.436332*x) - z*sin(0.436332*x))*(y*cos(0.436332*x) - z*sin(0.436332*x)) - 1"],
			"Xmin": ["-4*2.7"],
			"Xmax": [" 4*2.7"],
			"Ymin": ["-4"],
			"Ymax": [" 4"],
			"Zmin": ["-4"],
			"Zmax": [" 4"]
		}
	},
	{
		"Iso3D": {
			"Description": [" We used Schwartz formula to make a parametrable Chmutov-like  isosurface:
		(x^N + y ^N + z^N) - (cos(m*7*x) + cos(n*7*y) + cos(k*7*z)) + l
		N : Even integer > 4 --> Sharpness of edges.
		n, m, k : integers --> number of holes.
		l : Real number (-3,1) --> Thickness
		"],
			"Name": ["ChmutySchwartz"],
			"Component": ["ChmutySchwartz"],
			"Fxyz": ["
		(x^16 + y ^16 + z^16 ) -(cos(7*x) +cos(7*y) +cos(7*z)) -.1"],
			"Xmin": ["-1.1"],
			"Xmax": [" 1.1"],
			"Ymin": ["-1.1"],
			"Ymax": [" 1.1"],
			"Zmin": ["-1.1"],
			"Zmax": [" 1.1"]
		}
	},
	{
		"Iso3D": {
			"Description": [" This example was obtained by using the above formula !"],
			"Name": ["Virus"],
			"Component": ["Virus"],
			"Fxyz": ["-(x^2 + y ^2 + z^2) +cos(5*x)*cos(5*y)*cos(5*z)+0.215"],
			"Xmin": ["-.8"],
			"Xmax": [" .8"],
			"Ymin": ["-.8"],
			"Ymax": [" .8"],
			"Zmin": ["-.8"],
			"Zmax": [" .8"]
		}
	},
	{
		"Iso3D": {
			"Description": [" We can even obtain a smoothly closed Schwartz Isosurface... "],
			"Name": ["BlobySchwartz"],
			"Component": ["BlobySchwartz"],
			"Fxyz": ["-(x^2 + y ^2 + z^2) +cos(5*x)+cos(5*y)+cos(5*z) -.1"],
			"Xmin": ["-2"],
			"Xmax": [" 2"],
			"Ymin": ["-2"],
			"Ymax": [" 2"],
			"Zmin": ["-2"],
			"Zmax": [" 2"]
		}
	},
	{
		"Iso3D": {
			"Description": [" To make  \"tick\" isosurfaces, you can use this general  method:
		G(x, y, z) = F(x, y, z) * F(x - (T/R)*dF()/dx, y - (T/R)*dF()/dy, z - (T/R)*df()/dz)
		dF()/dx == partial derivative of F() to the variable x.
		F(x, y, z)  : The original Isosurface formula.
		G(x, y, z) : The new Isosurface formula.
		R = sqrt((dF()/dx)^2 + (dF()/dy)^2 + (dF()/dz)^2)
		T = Tickness value
		Applied to Schwartz (F()= cos(x) + cos(y) + cos(z) , T = 1/2) ,we obtain the following formula:"],
			"Name": ["TickIso"],
			"Component": ["TickIso"],
			"Fxyz": ["(cos(x) + cos(y) + cos(z))*((
		cos(x + sin(x)/(2*sqrt(sin(x)^2 + sin(y)^2 + sin(z)^2))) +
		cos(y + sin(y)/(2*sqrt(sin(x)^2 + sin(y)^2 + sin(z)^2))) +
		cos(z + sin(z)/(2*sqrt(sin(x)^2 + sin(y)^2 + sin(z)^2)))))"],
			"Xmin": ["-4"],
			"Xmax": [" 4"],
			"Ymin": ["-4"],
			"Ymax": [" 4"],
			"Zmin": ["-4"],
			"Zmax": [" 4"]
		}
	},
	{
		"Iso3D": {
			"Description": [" To make a closed Isosurface, you can use the \"if\" instruction like in this example with Schwartz :
		if((x^10 + y^10 +z^10 < 200000),   // We use a Cube as a condition
		cos(x) + cos(y) + cos(z) ,           // Schwartz
		(x^10 + y^10 +z^10 - 200000 )     // Cube"],
			"Name": ["CloseIso"],
			"Component": ["CloseIso"],
			"Fxyz": [" if((x^10 + y^10 +z^10 < 200000), cos(x) + cos(y) + cos(z), (x^10 + y^10 +z^10 - 200000))"],
			"Xmin": ["-4"],
			"Xmax": [" 4"],
			"Ymin": ["-4"],
			"Ymax": [" 4"],
			"Zmin": ["-4"],
			"Zmax": [" 4"]
		}
	},
	{
		"Iso3D": {
			"Description": [" Another closed isosurface but in this case we consider the outside volume delimited by the Schwartz surface.
		The \"outside\" volume is defined by deleting the signe \"-\""],
			"Name":["CloseIso_1"],
			"Component": ["CloseIso_1"],
			"Fxyz":["if((x^10+y^10+z^10<100000),
			(cos(x)+cos(y)+cos(z)),
			(x^10+y^10+z^10-100000))"],
			"Xmin":["-4"], "Xmax":["4"],
			"Ymin":["-4"], "Ymax":["4"],
			"Zmin":["-4"], "Zmax":["4"]
		}},

		{"Iso3D":
		{
		"Description":["Andnow,
			tomakeatickandclosedSchwartzIsosurface,
			weusethetwoformulasdescribedabove: "],
		"Name":["CloseIso_2"],
		"Component": ["CloseIso_2"],
		"Fxyz":["if((x^10+y^10+z^10<3*(3.5^10)),
			(cos(x)+cos(y)+cos(z))*((cos(x+sin(x)/(2*sqrt(sin(x)^2+sin(y)^2+sin(z)^2)))+cos(y+sin(y)/(2*sqrt(sin(x)^2+sin(y)^2+sin(z)^2)))+cos(z+sin(z)/(2*sqrt(sin(x)^2+sin(y)^2+sin(z)^2))))),
			(x^10+y^10+z^10-3*(3.5^10)))"],
		"Xmin":["-4"], "Xmax":["4"],
		"Ymin":["-4"], "Ymax":["4"],
		"Zmin":["-4"], "Zmax":["4"]
		}},

		{"Iso3D":
		{
		"Description":["Byreplacing: bytheoperator*,
			weobtainONEuniqueisosurfacecomposedofsixTorus"],
		"Name":["Chain"],
		"Component": ["Chain"],
		"Fxyz":["((sqrt(x*x+y*y)-3)^2+z*z-0.4)*((sqrt((x-4.5)*(x-4.5)+z*z)-3)^2+y*y-0.4)*((sqrt((x+4.5)*(x+4.5)+z*z)-3)^2+y*y-0.4)*((sqrt((y+4.5)*(y+4.5)+z*z)-3)^2+x*x-0.4)*((sqrt((y-4.5)*(y-4.5)+z*z)-3)^2+x*x-0.4)*((sqrt(x*x+y*y)-5)^2+z*z-0.4)"],
		"Xmin":["-8.2"], "Xmax":["8.2"],
		"Ymin":["-8.2"], "Ymax":["8.2"],
		"Zmin":["-4"], "Zmax":["4"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Klein"],
		"Component":["Klein_1","Klein_2"],
		"Fx":["4*(1-cos(u)/2)*cos(u)*cos(v)+6*cos(u)*(1+sin(u))","4*(1-cos(u)/2)*cos(v+pi)+6*cos(u)*(1+sin(u))"],
		"Fy":["4*(1-cos(u)/2)*sin(u)*cos(v)+16*sin(u)","16*sin(u)"],
		"Fz":["4*(1-cos(u)/2)*sin(v)","4*(1-cos(u)/2)*sin(v)"],
		"Umin":["0","pi"] , "Umax":["pi","2*pi"],
		"Vmin":["0","0"] , "Vmax":["2*pi","2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Klein_1"],
		"Component": ["Klein_1"],
		"Fx":["(3*(1+sin(v))+2*(1-cos(v)/2)*cos(u))*cos(v)"],
		"Fy":["(4+2*(1-cos(v)/2)*cos(u))*sin(v)"],
		"Fz":["-2*(1-cos(v)/2)*sin(u)"],
		"Umin":["0"] , "Umax":["2*pi"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param4D":
		{
		"Description":["Description of the model"],
		"Name":["4DTorus"],
		"Component": ["4DTorus"],
		"Fx":["sin(u)"],
		"Fy":["cos(u)"],
		"Fz":["sin(v)"],
		"Fw":["cos(v)"],
		"Umin":["0"] , "Umax":["2*pi"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{
			"Param4D": {
				"Description": [
					"Description of the model"
				],
                "Component":["4DTorus4D","4DPTorus","4DCliffordTorus"],
				"Fw": [
					"cos(v)",
					"cos(3*v)",
					"cos(u)"
				],
				"Fx": [
					"sin(u)",
					"sin(u)+2",
					"cos(u+v)/(sqrt(2.)+cos(v-u))"
				],
				"Fy": [
					"cos(u)",
					"cos(u)",
					"sin(u+v)/(sqrt(2.)+cos(v-u))+3"
				],
				"Fz": [
					"sin(v)",
					"sin(2*v)",
					"(sin(v-u)/(sqrt(2.)+cos(v-u)))*1.5"
				],
				"Name": [
					"4DMathModels"
				],
				"Umax": [
					"2*pi",
					"2*pi",
					"pi"
				],
				"Umin": [
					"0",
					"0",
					"0"
				],
				"Vmax": [
					"2*pi",
					"2*pi",
					"2*pi"
				],
				"Vmin": [
					"0",
					"0",
					"0"
				]
			}
		},		
		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Shell"],
		"Component": ["Shell"],
		"Fx":["1.2^v*(sin(u)^2*sin(v))"],
		"Fy":["1.2^v*(sin(u)^2*cos(v))"],
		"Fz":["1.2^v*(sin(u)*cos(u))"],
		"Umin":["0"] , "Umax":["pi"],
		"Vmin":["-pi/4"] , "Vmax":["5*pi/2"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Torus"],
		"Component": ["Torus"],
		"Fx":["(1+0.5*cos(u))*cos(v)"],
		"Fy":["(1+0.5*cos(u))*sin(v)"],
		"Fz":["0.5*sin(u)"],
		"Umin":["0"] , "Umax":["2*pi"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Cosinus"],
		"Component": ["Cosinus"],
		"Fx":["u"],
		"Fy":["v"],
		"Fz":["-sin(pi*((u)^2+(v)^2))/3"],
		"Umin":["-1"] , "Umax":["1"],
		"Vmin":["-1"] , "Vmax":["1"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Moebius"],
		"Component": ["Moebius"],
		"Fx":["cos(v)+u*cos(v/2)*cos(v)"],
		"Fy":["sin(v)+u*cos(v/2)*sin(v)"],
		"Fz":["u*sin(v/2)"],
		"Umin":["-0.4"] , "Umax":["0.4"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Riemann"],
		"Component": ["Riemann"],
		"Fx":["u*v"],
		"Fy":["v^2-u^2"],
		"Fz":["30*u"],
		"Umin":["-6"] , "Umax":["6"],
		"Vmin":["-25"] , "Vmax":["25"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Klein_2"],
		"Component": ["Klein_2"],
		"Fx":["(2+cos(v/2)*sin(u)-sin(v/2)*sin(2*u))*cos(v)"],
		"Fy":["(2+cos(v/2)*sin(u)-sin(v/2)*sin(2*u))*sin(v)"],
		"Fz":["sin(v/2)*sin(u)+cos(v/2)*sin(2*u)"],
		"Umin":["0"] , "Umax":["2*pi"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Henneberg"],
		"Component": ["Henneberg"],
		"Fx":["2*sinh(u)*cos(v)-(2/3)*sinh(3*u)*cos(3*v)"],
		"Fy":["2*sinh(u)*sin(v)+(2/3)*sinh(3*u)*sin(3*v)"],
		"Fz":["2*cosh(2*u)*cos(2*v)"],
		"Umin":["-1"] , "Umax":["1"],
		"Vmin":["-pi/2"] , "Vmax":["pi/2"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Enneper"],
		"Component": ["Enneper"],
		"Fx":["u-u^3/3+u*v^2"],
		"Fy":["v-v^3/3+v*u^2"],
		"Fz":["u^2-v^2"],
		"Umin":["-2"] , "Umax":["2"],
		"Vmin":["-2"] , "Vmax":["2"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Helix"],
		"Component": ["Helix"],
		"Fx":["(1-0.1*cos(v))*cos(u)"],
		"Fy":["(1-0.1*cos(v))*sin(u)"],
		"Fz":["0.1*(sin(v)+u/1.7-10)"],
		"Umin":["0"] , "Umax":["4*pi"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Hexaedron"],
		"Component": ["Hexaedron"],
		"Fx":["cos(v)^3*cos(u)^3"],
		"Fy":["sin(v)^3*cos(u)^3"],
		"Fz":["sin(u)^3"],
		"Umin":["-1.3"] , "Umax":["1.3"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Sphere"],
		"Component": ["Sphere"],
		"Fx":["cos(u)*cos(v)"],
		"Fy":["cos(u)*sin(v)"],
		"Fz":["sin(u)"],
		"Umin":["-pi/2"] , "Umax":["pi/2"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Catalan"],
		"Component": ["Catalan"],
		"Fx":["u-sin(u)*cosh(v)"],
		"Fy":["1-cos(u)*cosh(v)"],
		"Fz":["4*sin(1/2*u)*sinh(v/2)"],
		"Umin":["-pi"] , "Umax":["3*pi"],
		"Vmin":["-2"] , "Vmax":["2"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Toupie"],
		"Component": ["Toupie"],
		"Fx":["(abs(u)-1)^2*cos(v)"],
		"Fy":["(abs(u)-1)^2*sin(v)"],
		"Fz":["u"],
		"Umin":["-1"] , "Umax":["1"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Trumpet"],
		"Component": ["Trumpet"],
		"Fx":["cos(u)*sin(v)"],
		"Fy":["sin(u)*sin(v)"],
		"Fz":["(cos(v)+log(tan(1/2*v)))"],
		"Umin":["0"] , "Umax":["2*pi"],
		"Vmin":["0.03"] , "Vmax":["2"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Bonbon"],
		"Component": ["Bonbon"],
		"Fx":["u"],
		"Fy":["cos(u)*cos(v)"],
		"Fz":["cos(u)*sin(v)"],
		"Umin":["0"] , "Umax":["2*pi"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Kuen"],
		"Component": ["Kuen"],
		"Fx":["(2*(cos(u)+u*sin(u))*sin(v))/(1+u^2*sin(v)^2)"],
		"Fy":["(2*(sin(u)-u*cos(u))*sin(v))/(1+u^2*sin(v)^2)"],
		"Fz":["log(tan(1/2*v))+(2*cos(v))/(1+u^2*sin(v)^2)"],
		"Umin":["0"] , "Umax":["2*pi"],
		"Vmin":["0.01"] , "Vmax":["pi-0.01"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Catenoid"],
		"Component": ["Catenoid"],
		"Fx":["2*cosh(v/2)*cos(u)"],
		"Fy":["2*cosh(v/2)*sin(u)"],
		"Fz":["v"],
		"Umin":["-pi"] , "Umax":["pi"],
		"Vmin":["-pi"] , "Vmax":["pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Shoe"],
		"Component": ["Shoe"],
		"Fx":["u"],
		"Fy":["v"],
		"Fz":["1/3*u^3-1/2*v^2"],
		"Umin":["-2"] , "Umax":["2"],
		"Vmin":["-2"] , "Vmax":["2"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Helicoidal"],
		"Component": ["Helicoidal"],
		"Fx":["sinh(v)*sin(u)"],
		"Fy":["-sinh(v)*cos(u)"],
		"Fz":["3*u"],
		"Umin":["-pi"] , "Umax":["pi"],
		"Vmin":["-pi"] , "Vmax":["pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Cresent"],
		"Component": ["Cresent"],
		"Fx":["(2+sin(2*pi*u)*sin(2*pi*v))*sin(3*pi*v)"],
		"Fy":["(2+sin(2*pi*u)*sin(2*pi*v))*cos(3*pi*v)"],
		"Fz":["cos(2*pi*u)*sin(2*pi*v)+4*v-2"],
		"Umin":["0"] , "Umax":["1"],
		"Vmin":["0"] , "Vmax":["1"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Hyperhelicoidal"],
		"Component": ["Hyperhelicoidal"],
		"Fx":["(sinh(v)*cos(3*u))/(1+cosh(u)*cosh(v))"],
		"Fy":["(sinh(v)*sin(3*u))/(1+cosh(u)*cosh(v))"],
		"Fz":["(cosh(v)*sinh(u))/(1+cosh(u)*cosh(v))"],
		"Umin":["-pi"] , "Umax":["pi"],
		"Vmin":["-pi"] , "Vmax":["pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Roman"],
		"Component": ["Roman"],
		"Fx":["1/2*sin(2*u)*sin(v)^2"],
		"Fy":["1/2*sin(u)*cos(2*v)"],
		"Fz":["1/2*cos(u)*sin(2*v)"],
		"Umin":["0"] , "Umax":["pi"],
		"Vmin":["-pi/2"] , "Vmax":["pi/2"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Snake"],
		"Component": ["Snake"],
		"Fx":["1.2*(1-v/(2*pi))*cos(3*v)*(1+cos(u))+3*cos(3*v)"],
		"Fy":["1.2*(1-v/(2*pi))*sin(3*v)*(1+cos(u))+3*sin(3*v)"],
		"Fz":["9*v/(2*pi)+1.2*(1-v/(2*pi))*sin(u)"],
		"Umin":["0"] , "Umax":["2*pi"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Horn"],
		"Component": ["Horn"],
		"Fx":["(2+u*cos(v))*sin(2*pi*u)"],
		"Fy":["(2+u*cos(v))*cos(2*pi*u)+2*u"],
		"Fz":["u*sin(v)"],
		"Umin":["0"] , "Umax":["1"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Fresnel_1"],
		"Component": ["Fresnel_1"],
		"Fx":["cos(u)*cos(v)/(-2.*sqrt(0.965/3.-0.935/3.*((cos(u)^4+sin(u)^4)*cos(v)^4+sin(v)^4))*cos((acos(-(-0.941/6.+0.374*((cos(u)^4+sin(u)^4)*cos(v)^4+sin(v)^4)-1.309/6.*((cos(u)^6+sin(u)^6)*cos(v)^6+sin(v)^6)-1.221*cos(u)^2*cos(v)^4*sin(u)^2*sin(v)^2)/sqrt(0.965/3.-0.935/3.*((cos(u)^4+sin(u)^4)*cos(v)^4+sin(v)^4))^3)+pi)/3.)+0.8)"],
		"Fy":["sin(u)*cos(v)/(-2.*sqrt(0.965/3.-0.935/3.*((cos(u)^4+sin(u)^4)*cos(v)^4+sin(v)^4))*cos((acos(-(-0.941/6.+0.374*((cos(u)^4+sin(u)^4)*cos(v)^4+sin(v)^4)-1.309/6.*((cos(u)^6+sin(u)^6)*cos(v)^6+sin(v)^6)-1.221*cos(u)^2*cos(v)^4*sin(u)^2*sin(v)^2)/sqrt(0.965/3.-0.935/3.*((cos(u)^4+sin(u)^4)*cos(v)^4+sin(v)^4))^3)+pi)/3.)+0.8)"],
		"Fz":["sin(v)/(-2.*sqrt(0.965/3.-0.935/3.*((cos(u)^4+sin(u)^4)*cos(v)^4+sin(v)^4))*cos((acos(-(-0.941/6.+0.374*((cos(u)^4+sin(u)^4)*cos(v)^4+sin(v)^4)-1.309/6.*((cos(u)^6+sin(u)^6)*cos(v)^6+sin(v)^6)-1.221*cos(u)^2*cos(v)^4*sin(u)^2*sin(v)^2)/sqrt(0.965/3.-0.935/3.*((cos(u)^4+sin(u)^4)*cos(v)^4+sin(v)^4))^3)+pi)/3.)+0.8)"],
		"Umin":["0"] , "Umax":["2*pi"],
		"Vmin":["-pi/2"] , "Vmax":["pi/2"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Steiner"],
		"Component": ["Steiner"],
		"Fx":["(sin(2*u)*cos(v)*cos(v))"],
		"Fy":["(sin(u)*sin(2*v))"],
		"Fz":["(cos(u)*sin(2*v))"],
		"Umin":["-pi/2"] , "Umax":["pi/2"],
		"Vmin":["-pi/2"] , "Vmax":["pi/2"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Cross_cap"],
		"Component": ["Cross_cap"],
		"Fx":["(sin(u)*sin(2*v)/2)"],
		"Fy":["(sin(2*u)*cos(v)*cos(v))"],
		"Fz":["(cos(2*u)*cos(v)*cos(v))"],
		"Umin":["-pi/2"] , "Umax":["pi/2"],
		"Vmin":["-pi/2"] , "Vmax":["pi/2"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Fresnel_2"],
		"Component": ["Fresnel_2"],
		"Fx":["cos(u)*cos(v)/(-2.*sqrt(0.965/3.-0.935/3.*((cos(u)^4+sin(u)^4)*cos(v)^4+sin(v)^4))*cos((acos(-(-0.941/6.+0.374*((cos(u)^4+sin(u)^4)*cos(v)^4+sin(v)^4)-1.309/6.*((cos(u)^6+sin(u)^6)*cos(v)^6+sin(v)^6)-1.221*cos(u)^2*cos(v)^4*sin(u)^2*sin(v)^2)/sqrt(0.965/3.-0.935/3.*((cos(u)^4+sin(u)^4)*cos(v)^4+sin(v)^4))^3)-pi)/3.)+0.8)"],
		"Fy":["sin(u)*cos(v)/(-2.*sqrt(0.965/3.-0.935/3.*((cos(u)^4+sin(u)^4)*cos(v)^4+sin(v)^4))*cos((acos(-(-0.941/6.+0.374*((cos(u)^4+sin(u)^4)*cos(v)^4+sin(v)^4)-1.309/6.*((cos(u)^6+sin(u)^6)*cos(v)^6+sin(v)^6)-1.221*cos(u)^2*cos(v)^4*sin(u)^2*sin(v)^2)/sqrt(0.965/3.-0.935/3.*((cos(u)^4+sin(u)^4)*cos(v)^4+sin(v)^4))^3)-pi)/3.)+0.8)"],
		"Fz":["sin(v)/(-2.*sqrt(0.965/3.-0.935/3.*((cos(u)^4+sin(u)^4)*cos(v)^4+sin(v)^4))*cos((acos(-(-0.941/6.+0.374*((cos(u)^4+sin(u)^4)*cos(v)^4+sin(v)^4)-1.309/6.*((cos(u)^6+sin(u)^6)*cos(v)^6+sin(v)^6)-1.221*cos(u)^2*cos(v)^4*sin(u)^2*sin(v)^2)/sqrt(0.965/3.-0.935/3.*((cos(u)^4+sin(u)^4)*cos(v)^4+sin(v)^4))^3)-pi)/3.)+0.8)"],
		"Umin":["0"] , "Umax":["2*pi"],
		"Vmin":["-pi/2"] , "Vmax":["pi/2"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Cliffordtorus"],
		"Component": ["Cliffordtorus"],
		"Fx":["cos(u+v)/(sqrt(2.)+cos(v-u))"],
		"Fy":["sin(u+v)/(sqrt(2.)+cos(v-u))"],
		"Fz":["sin(v-u)/(sqrt(2.)+cos(v-u))"],
		"Umin":["0"] , "Umax":["pi"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Stereosphere"],
		"Component": ["Stereosphere"],
		"Fx":["2.*u/(u*u+v*v+1.)"],
		"Fy":["2.*v/(u*u+v*v+1.)"],
		"Fz":["(u*u+v*v-1.)/(u*u+v*v+1.)"],
		"Umin":["-2"] , "Umax":["2"],
		"Vmin":["-2"] , "Vmax":["2"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Enneper_2"],
		"Component": ["Enneper_2"],
		"Fx":["u*cos(v)-u^3/3*cos(3*v)"],
		"Fy":["-u*sin(v)-u^(3)/3*sin(3*v)"],
		"Fz":["u^2*cos(2*v)"],
		"Umin":["0"] , "Umax":["1.2"],
		"Vmin":["-pi"] , "Vmax":["pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Maeder's_Owl"],
		"Component": ["Maeder's_Owl"],
		"Fx":["v*cos(u)-0.5*v^2*cos(2*u)"],
		"Fy":["-v*sin(u)-0.5*v^2*sin(2*u)"],
		"Fz":["4*v^1.5*cos(3*u/2)/3"],
		"Umin":["0"] , "Umax":["4*pi"],
		"Vmin":["0"] , "Vmax":["1"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Boy"],
		"Component": ["Boy"],
		"Fx":["2/3*(cos(u)*cos(2*v)+sqrt(2)*sin(u)*cos(v))*cos(u)/(sqrt(2)-sin(2*u)*sin(3*v))"],
		"Fy":["2/3*(cos(u)*sin(2*v)-sqrt(2)*sin(u)*sin(v))*cos(u)/(sqrt(2)-sin(2*u)*sin(3*v))"],
		"Fz":["sqrt(2)*cos(u)*cos(u)/(sqrt(2)-sin(2*u)*sin(3*v))"],
		"Umin":["0"] , "Umax":["pi"],
		"Vmin":["0"] , "Vmax":["pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Dini"],
		"Component": ["Dini"],
		"Fx":["cos(u)*sin(v)"],
		"Fy":["sin(u)*sin(v)"],
		"Fz":["(cos(v)+log(tan(v/2)))+0.2*u"],
		"Umin":["0"] , "Umax":["12.4"],
		"Vmin":["0.1"] , "Vmax":["2"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["EightSurface"],
		"Component": ["EightSurface"],
		"Fx":["cos(u)*sin(2*v)"],
		"Fy":["sin(u)*sin(2*v)"],
		"Fz":["sin(v)"],
		"Umin":["0"] , "Umax":["2*pi"],
		"Vmin":["-pi/2"] , "Vmax":["pi/2"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Hellipticparaboloid"],
		"Component": ["Hellipticparaboloid"],
		"Fx":["v*2*cos(u)"],
		"Fy":["v*sin(u)"],
		"Fz":["v^2"],
		"Umin":["0"] , "Umax":["2*pi"],
		"Vmin":["0"] , "Vmax":["2"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Plan"],
		"Component": ["Plan"],
		"Fx":["u"],
		"Fy":["0"],
		"Fz":["v"],
		"Umin":["-1"] , "Umax":["1"],
		"Vmin":["-1"] , "Vmax":["1"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Apple"],
		"Component": ["Apple"],
		"Fx":["cos(u)*(4+3.8*cos(v))"],
		"Fy":["sin(u)*(4+3.8*cos(v))"],
		"Fz":["(cos(v)+sin(v)-1)*(1+sin(v))*log(1-pi*v/10)+7.5*sin(v)"],
		"Umin":["0"] , "Umax":["2*pi"],
		"Vmin":["-pi"] , "Vmax":["pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Drop"],
		"Component": ["Drop"],
		"Fx":["u*cos(v)"],
		"Fy":["u*sin(v)"],
		"Fz":["exp(-u*u)*(sin(2*pi*u)-u*cos(3*v))"],
		"Umin":["0"] , "Umax":["2"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Cone"],
		"Component": ["Cone"],
		"Fx":["u*cos(v)"],
		"Fy":["u*sin(v)"],
		"Fz":["u"],
		"Umin":["-1"] , "Umax":["1"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Kinky_Torus"],
		"Component": ["Kinky_Torus"],
		"Fx":["1/cosh(u)-cos(v)"],
		"Fy":["sin(v)"],
		"Fz":["u/pi-tanh(v)"],
		"Umin":["-2*pi"] , "Umax":["2*pi"],
		"Vmin":["-pi"] , "Vmax":["pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Kidney"],
		"Component": ["Kidney"],
		"Fx":["cos(u)*(3*cos(v)-cos(3*v))"],
		"Fy":["sin(u)*(3*cos(v)-cos(3*v))"],
		"Fz":["3*sin(v)-sin(3*v)"],
		"Umin":["0"] , "Umax":["2*pi"],
		"Vmin":["-pi/2"] , "Vmax":["pi/2"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Triaxial_Hexatorus"],
		"Component": ["Triaxial_Hexatorus"],
		"Fx":["sin(u)/(sqrt(2)+cos(v))"],
		"Fy":["sin(u+2*pi/3)/(sqrt(2)+cos(v+2*pi/3))"],
		"Fz":["cos(u-2*pi/3)/(sqrt(2)+cos(v-2*pi/3))"],
		"Umin":["-pi"] , "Umax":["pi"],
		"Vmin":["-pi"] , "Vmax":["pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Limpet_Torus"],
		"Component": ["Limpet_Torus"],
		"Fx":["cos(u)/(sqrt(2)+sin(v))"],
		"Fy":["sin(u)/(sqrt(2)+sin(v))"],
		"Fz":["1/(sqrt(2)+cos(v))"],
		"Umin":["-pi"] , "Umax":["pi"],
		"Vmin":["-pi"] , "Vmax":["pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Twisted_Triaxial"],
		"Component": ["Twisted_Triaxial"],
		"Fx":["(1-sqrt(u*u+v*v)/sqrt(2*pi*pi))*cos(u)*cos(v)+sqrt(u*u+v*v)/sqrt(2*pi*pi)*sin(u)*sin(v)"],
		"Fy":["(1-sqrt(u*u+v*v)/sqrt(2*pi*pi))*cos(u+2*pi/3)*cos(v+2*pi/3)+sqrt(u*u+v*v)/sqrt(2*pi*pi)*sin(u+2*pi/3)*sin(v+2*pi/3)"],
		"Fz":["(1-sqrt(u*u+v*v)/sqrt(2*pi*pi))*cos(u+4*pi/3)*cos(v+4*pi/3)+sqrt(u*u+v*v)/sqrt(2*pi*pi)*sin(u+4*pi/3)*sin(v+4*pi/3)"],
		"Umin":["-pi"] , "Umax":["pi"],
		"Vmin":["-pi"] , "Vmax":["pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Snail"],
		"Component": ["Snail"],
		"Fx":["u*cos(v)*sin(u)"],
		"Fy":["u*cos(u)*cos(v)"],
		"Fz":["-u*sin(v)"],
		"Umin":["0"] , "Umax":["2"],
		"Vmin":["-pi/2"] , "Vmax":["pi/2"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Implicit_Lemniscape"],
		"Component": ["Implicit_Lemniscape"],
		"Fx":["cos(v)*sqrt(abs(sin(2*u)))*cos(u)"],
		"Fy":["cos(v)*sqrt(abs(sin(2*u)))*sin(u)"],
		"Fz":["x^2-y^2+2*x*y*(tan(v)^2)"],
		"Umin":["0"] , "Umax":["pi"],
		"Vmin":["0"] , "Vmax":["pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Bent_Horns"],
		"Component": ["Bent_Horns"],
		"Fx":["(2+cos(u))*(v/3-sin(v))"],
		"Fy":["(2+cos(u-2*pi/3))*(cos(v)-1)"],
		"Fz":["(2+cos(u+2*pi/3))*(cos(v)-1)"],
		"Umin":["-pi"] , "Umax":["pi"],
		"Vmin":["-2*pi"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Folium"],
		"Component": ["Folium"],
		"Fx":["cos(u)*(2*v/pi-tanh(v))"],
		"Fy":["cos(u+2*pi/3)/cosh(v)"],
		"Fz":["cos(u-2*pi/3)/cosh(v)"],
		"Umin":["-pi"] , "Umax":["pi"],
		"Vmin":["-pi"] , "Vmax":["pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Heart"],
		"Component": ["Heart"],
		"Fx":["cos(u)*(4*sqrt(1-v^2)*sin(abs(u))^abs(u))"],
		"Fy":["sin(u)*(4*sqrt(1-v^2)*sin(abs(u))^abs(u))"],
		"Fz":["v"],
		"Umin":["-pi"] , "Umax":["pi"],
		"Vmin":["-1"] , "Vmax":["1"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Cube"],
		"Component": ["Cube"],
		"Fx":["cos(u)*cos(v)*(abs(cos(4*u/4))^100+abs(sin(4*u/4))^100)^(-1/100)*(abs(cos(4*v/4))^100+abs(sin(4*v/4))^100)^(-1/100)"],
		"Fy":["cos(u)*sin(v)*(abs(cos(4*u/4))^100+abs(sin(4*u/4))^100)^(-1/100)*(abs(cos(4*v/4))^100+abs(sin(4*v/4))^100)^(-1/100)"],
		"Fz":["sin(u)*(abs(cos(4*u/4))^100+abs(sin(4*u/4))^100)^(-1/100)"],
		"Umin":["-pi/2"] , "Umax":["pi/2"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Prism"],
		"Component": ["Prism"],
		"Fx":["cos(u)*cos(v)*(abs(cos(3*v/4))^500+abs(sin(3*v/4))^500)^(-1/260)*(abs(cos(4*u/4))^200+abs(sin(4*u/4))^200)^(-1/200)"],
		"Fy":["cos(u)*sin(v)*(abs(cos(3*v/4))^500+abs(sin(3*v/4))^500)^(-1/260)*(abs(cos(4*u/4))^200+abs(sin(4*u/4))^200)^(-1/200)"],
		"Fz":["sin(u)*(abs(cos(4*u/4))^200+abs(sin(4*u/4))^200)^(-1/200)"],
		"Umin":["-pi/2"] , "Umax":["pi/2"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Hexagon"],
		"Component": ["Hexagon"],
		"Fx":["cos(u)*cos(v)*(abs(cos(4*u/4))^300+abs(sin(4*u/4))^300)^(-1/300)*(abs(cos(6*v/4))^400+abs(sin(6*v/4))^400)^(-1/1000)"],
		"Fy":["cos(u)*sin(v)*(abs(cos(4*u/4))^300+abs(sin(4*u/4))^300)^(-1/300)*(abs(cos(6*v/4))^400+abs(sin(6*v/4))^400)^(-1/1000)"],
		"Fz":["sin(u)*(abs(cos(4*u/4))^300+abs(sin(4*u/4))^300)^(-1/300)"],
		"Umin":["-pi/2"] , "Umax":["pi/2"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Cone"],
		"Component": ["Cone"],
		"Fx":["u*cos(v)"],
		"Fy":["u*sin(v)"],
		"Fz":["u"],
		"Umin":["-1"] , "Umax":["1"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Diamond"],
		"Component": ["Diamond"],
		"Fx":["cos(u)*cos(v)*(abs(cos(4*u/4))^1+abs(sin(4*u/4))^1)^(-1/1)*(abs(cos(4*v/4))^1+abs(sin(4*v/4))^1)^(-1/1)"],
		"Fy":["cos(u)*sin(v)*(abs(cos(4*u/4))^1+abs(sin(4*u/4))^1)^(-1/1)*(abs(cos(4*v/4))^1+abs(sin(4*v/4))^1)^(-1/1)"],
		"Fz":["sin(u)*(abs(cos(4*u/4))^1+abs(sin(4*u/4))^1)^(-1/1)"],
		"Umin":["-pi/2"] , "Umax":["pi/2"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Star"],
		"Component": ["Star"],
		"Fx":["cos(u)*cos(v)*(abs(cos(1*u/4))^0.5+abs(sin(1*u/4))^0.5)^(-1/0.3)*(abs(cos(5*v/4))^1.7+abs(sin(5*v/4))^1.7)^(-1/0.1)"],
		"Fy":["cos(u)*sin(v)*(abs(cos(1*u/4))^0.5+abs(sin(1*u/4))^0.5)^(-1/0.3)*(abs(cos(5*v/4))^1.7+abs(sin(5*v/4))^1.7)^(-1/0.1)"],
		"Fz":["sin(u)*(abs(cos(1*u/4))^0.5+abs(sin(1*u/4))^0.5)^(-1/0.3)"],
		"Umin":["-pi/2"] , "Umax":["pi/2"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Star_7"],
		"Component": ["Star_7"],
		"Fx":["cos(u)*cos(v)*(abs(cos(7*v/4))^1.7+abs(sin(7*v/4))^1.7)^(-1/0.2)*(abs(cos(7*u/4))^1.7+abs(sin(7*u/4))^1.7)^(-1/0.2)"],
		"Fy":["cos(u)*sin(v)*(abs(cos(7*v/4))^1.7+abs(sin(7*v/4))^1.7)^(-1/0.2)*(abs(cos(7*u/4))^1.7+abs(sin(7*u/4))^1.7)^(-1/0.2)"],
		"Fz":["sin(u)*(abs(cos(7*u/4))^1.7+abs(sin(7*u/4))^1.7)^(-1/0.2)"],
		"Umin":["-pi/2"] , "Umax":["pi/2"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Shape_8"],
		"Component": ["Shape_8"],
		"Fx":["cos(u)*cos(v)*(abs(cos(3*u/4))^100+abs(sin(3*u/4))^100)^(-1/100)*(abs(cos(2*v/4))^0.3+abs(sin(2*v/4))^0.2)^(-1/0.7)"],
		"Fy":["cos(u)*sin(v)*(abs(cos(3*u/4))^100+abs(sin(3*u/4))^100)^(-1/100)*(abs(cos(2*v/4))^0.3+abs(sin(2*v/4))^0.2)^(-1/0.7)"],
		"Fz":["sin(u)*(abs(cos(3*u/4))^100+abs(sin(3*u/4))^100)^(-1/100)"],
		"Umin":["-pi/2"] , "Umax":["pi/2"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Shape_9"],
		"Component": ["Shape_9"],
		"Fx":["cos(u)*cos(v)*(abs(cos(2*u/4))^10+abs(sin(2*u/4))^10)^(-1/10)*(abs(cos(8*v/4))^100+abs(sin(8*v/4))^30)^(-1/60)"],
		"Fy":["cos(u)*sin(v)*(abs(cos(2*u/4))^10+abs(sin(2*u/4))^10)^(-1/10)*(abs(cos(8*v/4))^100+abs(sin(8*v/4))^30)^(-1/60)"],
		"Fz":["sin(u)*(abs(cos(2*u/4))^10+abs(sin(2*u/4))^10)^(-1/10)"],
		"Umin":["-pi/2"] , "Umax":["pi/2"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Shape_10"],
		"Component": ["Shape_10"],
		"Fx":["cos(u)*cos(v)*(abs(cos(3*u/4))^1+abs(sin(3*u/4))^1)^(-1/1)*(abs(cos(6*v/4))^1+abs(sin(6*v/4))^1)^(-1/1)"],
		"Fy":["cos(u)*sin(v)*(abs(cos(3*u/4))^1+abs(sin(3*u/4))^1)^(-1/1)*(abs(cos(6*v/4))^1+abs(sin(6*v/4))^1)^(-1/1)"],
		"Fz":["sin(u)*(abs(cos(3*u/4))^1+abs(sin(3*u/4))^1)^(-1/1)"],
		"Umin":["-pi/2"] , "Umax":["pi/2"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Sphere_1"],
		"Component": ["Sphere_1"],
		"Fx":["cos(u)*cos(v)"],
		"Fy":["cos(u)*sin(v)"],
		"Fz":["sin(u)"],
		"Umin":["-pi/2"] , "Umax":["pi/2"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Sphere_2"],
		"Component": ["Sphere_2"],
		"Fx":["cos(u)*cos(v)"],
		"Fy":["cos(u)*sin(v)"],
		"Fz":["sin(u)*sin(v)"],
		"Umin":["-pi/2"] , "Umax":["pi/2"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Sphere_3"],
		"Component": ["Sphere_3"],
		"Fx":["cos(u)*cos(v)"],
		"Fy":["cos(u)*sin(v)"],
		"Fz":["sin(u)*sin(v)*cos(v)"],
		"Umin":["-pi/2"] , "Umax":["pi/2"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Sphere_4"],
		"Component": ["Sphere_4"],
		"Fx":["cos(u)*cos(v)"],
		"Fy":["cos(u)*sin(v)*sin(v)"],
		"Fz":["sin(u)*sin(v)"],
		"Umin":["-pi/2"] , "Umax":["0"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Sphere_5"],
		"Component": ["Sphere_5"],
		"Fx":["cos(u)*cos(v)*sin(v)"],
		"Fy":["cos(u)*sin(v)*sin(v)"],
		"Fz":["sin(u)*sin(v)"],
		"Umin":["-pi/2"] , "Umax":["0"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Sphere_6"],
		"Component": ["Sphere_6"],
		"Fx":["cos(u)*cos(v)*sin(u)"],
		"Fy":["sin(u)"],
		"Fz":["sin(u)*sin(v)*sin(u)"],
		"Umin":["-pi/2"] , "Umax":["0"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Sphere_7"],
		"Component": ["Sphere_7"],
		"Fx":["cos(u)*cos(v)*sin(u)"],
		"Fy":["sin(u)*sin(v)*cos(u)"],
		"Fz":["sin(u)*sin(v)*sin(u)"],
		"Umin":["-pi/2"] , "Umax":["0"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Sphere_8"],
		"Component": ["Sphere_8"],
		"Fx":["cos(u)*cos(v)*sin(u)"],
		"Fy":["cos(u)*sin(v)*cos(u)"],
		"Fz":["sin(u)*sin(v)*sin(u)"],
		"Umin":["-pi/2"] , "Umax":["0"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Sphere_9"],
		"Component": ["Sphere_9"],
		"Fx":["cos(u)*cos(v)*sin(u)"],
		"Fy":["cos(u)*sin(v)*cos(u)*sin(v)"],
		"Fz":["sin(u)*sin(v)*sin(u)*sin(v)"],
		"Umin":["-pi/2"] , "Umax":["0"],
		"Vmin":["0"] , "Vmax":["pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Sphere_10"],
		"Component": ["Sphere_10"],
		"Fx":["cos(u)*cos(v)*sin(u)*sin(v)*sin(v)*sin(v)"],
		"Fy":["cos(u)*sin(v)*cos(u)*sin(v)"],
		"Fz":["sin(u)*sin(v)*sin(u)*sin(v)*cos(u)"],
		"Umin":["-pi/2"] , "Umax":["0"],
		"Vmin":["0"] , "Vmax":["pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Curve"],
		"Component": ["Curve"],
		"Fx":["cos(2*u)"],
		"Fy":["sin(3*u)"],
		"Fz":["cos(u)"],
		"Umin":["0"] , "Umax":["2*pi"],
		"Vmin":["0"] , "Vmax":["0"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Helice_Curve"],
		"Component": ["Helice_Curve"],
		"Fx":["sin(u)"],
		"Fy":["cos(u)"],
		"Fz":["(u^2)/100"],
		"Umin":["0"] , "Umax":["6*pi"],
		"Vmin":["0"] , "Vmax":["0"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Pseudo_Sphere"],
		"Component": ["Pseudo_Sphere"],
		"Fx":["cos(u)*cos(v)+sin((sin(u)+1)*2*pi)"],
		"Fy":["cos(u)*sin(v)+cos((sin(u)+1)*2*pi)"],
		"Fz":["4*sin(u)"],
		"Umin":["-pi/2"] , "Umax":["pi/2"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Pseudo_Catenoid"],
		"Component": ["Pseudo_Catenoid"],
		"Fx":["2.2*(2*cosh(v/2)*cos(u))"],
		"Fy":["1.51166*(2*cosh(v/2)*sin(u)*cos((2.2*(2*cosh(v/2)*cos(u))--11.0404)*2*pi*1/22.0513)-1.8*(v)*sin((2.2*(2*cosh(v/2)*cos(u))--11.0404)*2*pi*1/22.0513))"],
		"Fz":["1.51166*(2*cosh(v/2)*sin(u)*sin((2.2*(2*cosh(v/2)*cos(u))--11.0404)*2*pi*1/22.0513)+1.8*(v)*cos((2.2*(2*cosh(v/2)*cos(u))--11.0404)*2*pi*1/22.0513))"],
		"Umin":["-pi"] , "Umax":["pi"],
		"Vmin":["-pi"] , "Vmax":["pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Pseudo_Helix"],
		"Component": ["Pseudo_Helix"],
		"Fx":["0.717627*((1-0.1*cos(v))*cos(u)*cos(((1-0.1*cos(v))*sin(u)--1.1)*2*pi*0.2/2.2)-0.1*(sin(v)+u/1.7-10)*sin(((1-0.1*cos(v))*sin(u)--1.1)*2*pi*0.2/2.2))"],
		"Fy":["(1-0.1*cos(v))*sin(u)"],
		"Fz":["0.717627*((1-0.1*cos(v))*cos(u)*sin(((1-0.1*cos(v))*sin(u)--1.1)*2*pi*0.2/2.2)+0.1*(sin(v)+u/1.7-10)*cos(((1-0.1*cos(v))*sin(u)--1.1)*2*pi*0.2/2.2))"],
		"Umin":["0"] , "Umax":["4*pi"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Pseudo_Cone"],
		"Component": ["Pseudo_Cone"],
		"Fx":["u*cos(v)"],
		"Fy":["0.848528*(u*sin(v)*cos((u*cos(v)--1)*2*pi*1/2)-u*sin((u*cos(v)--1)*2*pi*1/2))"],
		"Fz":["0.848528*(u*sin(v)*sin((u*cos(v)--1)*2*pi*1/2)+u*cos((u*cos(v)--1)*2*pi*1/2))"],
		"Umin":["-1"] , "Umax":["1"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Pseudo_Hexagon"],
		"Component": ["Pseudo_Hexagon"],
		"Fx":["1.7*(cos(u)*cos(v)*(abs(cos(4*u/4))^300+abs(sin(4*u/4))^300)^(-1/300)*(abs(cos(6*v/4))^400+abs(sin(6*v/4))^400)^(-1/1000))"],
		"Fy":["0.743482*(1.5*(cos(u)*sin(v)*(abs(cos(4*u/4))^300+abs(sin(4*u/4))^300)^(-1/300)*(abs(cos(6*v/4))^400+abs(sin(6*v/4))^400)^(-1/1000))*cos((1.7*(cos(u)*cos(v)*(abs(cos(4*u/4))^300+abs(sin(4*u/4))^300)^(-1/300)*(abs(cos(6*v/4))^400+abs(sin(6*v/4))^400)^(-1/1000))--1.7)*2*pi*0.3/3.4)-0.7*(sin(u)*(abs(cos(4*u/4))^300+abs(sin(4*u/4))^300)^(-1/300))*sin((1.7*(cos(u)*cos(v)*(abs(cos(4*u/4))^300+abs(sin(4*u/4))^300)^(-1/300)*(abs(cos(6*v/4))^400+abs(sin(6*v/4))^400)^(-1/1000))--1.7)*2*pi*0.3/3.4))"],
		"Fz":["0.743482*(1.5*(cos(u)*sin(v)*(abs(cos(4*u/4))^300+abs(sin(4*u/4))^300)^(-1/300)*(abs(cos(6*v/4))^400+abs(sin(6*v/4))^400)^(-1/1000))*sin((1.7*(cos(u)*cos(v)*(abs(cos(4*u/4))^300+abs(sin(4*u/4))^300)^(-1/300)*(abs(cos(6*v/4))^400+abs(sin(6*v/4))^400)^(-1/1000))--1.7)*2*pi*0.3/3.4)+0.7*(sin(u)*(abs(cos(4*u/4))^300+abs(sin(4*u/4))^300)^(-1/300))*cos((1.7*(cos(u)*cos(v)*(abs(cos(4*u/4))^300+abs(sin(4*u/4))^300)^(-1/300)*(abs(cos(6*v/4))^400+abs(sin(6*v/4))^400)^(-1/1000))--1.7)*2*pi*0.3/3.4))"],
		"Umin":["-pi/2"] , "Umax":["pi/2"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Pseudo_Cube"],
		"Component": ["Pseudo_Cube"],
		"Fx":["0.848528*(cos(u)*cos(v)*(abs(cos(4*u/4))^100+abs(sin(4*u/4))^100)^(-1/100)*(abs(cos(4*v/4))^100+abs(sin(4*v/4))^100)^(-1/100)*cos((1.6*(sin(u)*(abs(cos(4*u/4))^100+abs(sin(4*u/4))^100)^(-1/100))--1.6)*2*pi*0.3/3.2)-cos(u)*sin(v)*(abs(cos(4*u/4))^100+abs(sin(4*u/4))^100)^(-1/100)*(abs(cos(4*v/4))^100+abs(sin(4*v/4))^100)^(-1/100)*sin((1.6*(sin(u)*(abs(cos(4*u/4))^100+abs(sin(4*u/4))^100)^(-1/100))--1.6)*2*pi*0.3/3.2))"],
		"Fy":["0.848528*(cos(u)*cos(v)*(abs(cos(4*u/4))^100+abs(sin(4*u/4))^100)^(-1/100)*(abs(cos(4*v/4))^100+abs(sin(4*v/4))^100)^(-1/100)*sin((1.6*(sin(u)*(abs(cos(4*u/4))^100+abs(sin(4*u/4))^100)^(-1/100))--1.6)*2*pi*0.3/3.2)+cos(u)*sin(v)*(abs(cos(4*u/4))^100+abs(sin(4*u/4))^100)^(-1/100)*(abs(cos(4*v/4))^100+abs(sin(4*v/4))^100)^(-1/100)*cos((1.6*(sin(u)*(abs(cos(4*u/4))^100+abs(sin(4*u/4))^100)^(-1/100))--1.6)*2*pi*0.3/3.2))"],
		"Fz":["1.6*(sin(u)*(abs(cos(4*u/4))^100+abs(sin(4*u/4))^100)^(-1/100))"],
		"Umin":["-pi/2"] , "Umax":["pi/2"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Pseudo_Torus"],
		"Component": ["Pseudo_Torus"],
		"Fx":["(1+0.5*cos(u))*cos(v)"],
		"Fy":["0.632456*((1+0.5*cos(u))*sin(v)*cos(((1+0.5*cos(u))*cos(v)--1.5)*2*pi*0.9/3)-0.5*sin(u)*sin(((1+0.5*cos(u))*cos(v)--1.5)*2*pi*0.9/3))"],
		"Fz":["0.632456*((1+0.5*cos(u))*sin(v)*sin(((1+0.5*cos(u))*cos(v)--1.5)*2*pi*0.9/3)+0.5*sin(u)*cos(((1+0.5*cos(u))*cos(v)--1.5)*2*pi*0.9/3))"],
		"Umin":["0"] , "Umax":["2*pi"],
		"Vmin":["0"] , "Vmax":["2*pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Hurricane"],
		"Component": ["Hurricane"],
		"Fx":["1*(2*cosh(v/2)*cos(u)*cos((2.1*(2*cosh(v/2)*sin(u)*sin((2*cosh(v/2)*cos(u)--5.01836)*2*pi*0/10.0367)+2*(v)*cos((2*cosh(v/2)*cos(u)--5.01836)*2*pi*0/10.0367))--13.1947)*2*pi*1.5/26.3894)-2.1*(2*cosh(v/2)*sin(u)*cos((2*cosh(v/2)*cos(u)--5.01836)*2*pi*0/10.0367)-2*(v)*sin((2*cosh(v/2)*cos(u)--5.01836)*2*pi*0/10.0367))*sin((2.1*(2*cosh(v/2)*sin(u)*sin((2*cosh(v/2)*cos(u)--5.01836)*2*pi*0/10.0367)+2*(v)*cos((2*cosh(v/2)*cos(u)--5.01836)*2*pi*0/10.0367))--13.1947)*2*pi*1.5/26.3894))"],
		"Fy":["1*(2*cosh(v/2)*cos(u)*sin((2.1*(2*cosh(v/2)*sin(u)*sin((2*cosh(v/2)*cos(u)--5.01836)*2*pi*0/10.0367)+2*(v)*cos((2*cosh(v/2)*cos(u)--5.01836)*2*pi*0/10.0367))--13.1947)*2*pi*1.5/26.3894)+2.1*(2*cosh(v/2)*sin(u)*cos((2*cosh(v/2)*cos(u)--5.01836)*2*pi*0/10.0367)-2*(v)*sin((2*cosh(v/2)*cos(u)--5.01836)*2*pi*0/10.0367))*cos((2.1*(2*cosh(v/2)*sin(u)*sin((2*cosh(v/2)*cos(u)--5.01836)*2*pi*0/10.0367)+2*(v)*cos((2*cosh(v/2)*cos(u)--5.01836)*2*pi*0/10.0367))--13.1947)*2*pi*1.5/26.3894))"],
		"Fz":["2.1*(2*cosh(v/2)*sin(u)*sin((2*cosh(v/2)*cos(u)--5.01836)*2*pi*0/10.0367)+2*(v)*cos((2*cosh(v/2)*cos(u)--5.01836)*2*pi*0/10.0367))"],
		"Umin":["-pi"] , "Umax":["pi"],
		"Vmin":["-pi"] , "Vmax":["pi"]
		}},

		{"Param3D":
		{
		"Description":["Description of the model"],
		"Name":["Breather"],
		"Component": ["Breather"],
		"Fx":["(2*sqrt(0.84)*cosh(0.4*u)*(-(sqrt(0.84)*cos(v)*cos(sqrt(0.84)*v))-sin(v)*sin(sqrt(0.84)*v)))/(0.4*((sqrt(0.84)*cosh(0.4*u))^2+(0.4*sin(sqrt(0.84)*v))^2))"],
		"Fy":["(2*sqrt(0.84)*cosh(0.4*u)*(-(sqrt(0.84)*sin(v)*cos(sqrt(0.84)*v))+cos(v)*sin(sqrt(0.84)*v)))/(0.4*((sqrt(0.84)*cosh(0.4*u))^2+(0.4*sin(sqrt(0.84)*v))^2))"],
		"Fz":["-u+(2*0.84*cosh(0.4*u)*sinh(0.4*u))/(0.4*((sqrt(0.84)*cosh(0.4*u))^2+(0.4*sin(sqrt(0.84)*v))^2))"],
		"Umin":["-13.2"] , "Umax":["13.2"],
		"Vmin":["-37.4"] , "Vmax":["37.4"]
		}
		}	
	]
}
